Name:           perl-Flickr-API
Version:        1.13
Release:        1%{?dist}
Summary:        Perl interface to the Flickr API
# LICENSE:                              Artistic 2.0
# examples/flickr_method_test_login.pl: GPL+ or Artistic
License:        (Artistic 2.0) and (GPL+ or Artistic)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Flickr-API/
Source0:        http://www.cpan.org/authors/id/L/LB/LBMOORE/Flickr-API-%{version}.tar.gz
# Do not install examples as tools into PATH, CPAN RT#105426
Patch0:         Flickr-API-1.13-Do-not-install-examples-into-PATH.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Carp)
# Compress::Zlib is optional
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Encode)
# HTTP::Message 1.56 needed because it brings decoded_content()
BuildRequires:  perl(HTTP::Message) >= 1.56
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Net::OAuth)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(URI) >= 1.18
BuildRequires:  perl(warnings)
BuildRequires:  perl(XML::Parser::Lite::Tree) >= 0.06
# Tests:
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Term::ReadLine)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(XML::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# HTTP::Message 1.56 needed because it brings decoded_content()
Requires:       perl(HTTP::Message) >= 1.56
Requires:       perl(URI) >= 1.18
Requires:       perl(XML::Parser::Lite::Tree) >= 0.06

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((URI|XML::Parser::Lite::Tree)\\)$

%description
A simple interface for using the Flickr API.

%prep
%setup -q -n Flickr-API-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor </dev/null
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes examples README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jun 23 2015 Petr Pisar <ppisar@redhat.com> - 1.13-1
- 1.13 bump
- License corrected to (Artistic 2.0) and (GPL+ or Artistic)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.05-7
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.05-6
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 1.05-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Sep 13 2012 Michal Ingeli <mi@v3.sk> - 1.05-1
- Update to 1.05 (#856812)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 1.04-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.04-3
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Feb  1 2011 Michal Ingeli <mi@v3.sk> - 1.04-1
- Update tu current release #673747

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.02-4
- 661697 rebuild for fixing problems with vendorach/lib

* Sat May 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.02-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.02-2
- rebuild against perl 5.10.1

* Mon Aug 10 2009 Michal Ingeli <mi@v3.sk> - 1.02-1
- Update to newer version with fixed license
- Cleaned up requires

* Sun Jun 21 2009 Michal Ingeli <mi@v3.sk> - 1.01-1
- Specfile autogenerated by cpanspec 1.77.
